Subject: Re: git-gui Error

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 14 Feb 2007 01:00:41 -0500

"Shawn O. Pearce" <[email-masked]> wrote:
> Martin Koegler <[email-masked]> wrote:
> > * It there any reason, why tags are not included in the list of possible
> > merge sources in Merge/Local Merge?
> > 
> > It only needs one additional line in do_local_merge:
> >          set cmd [list git for-each-ref]
> >          lappend cmd {--format=%(objectname) %(refname)}
> >          lappend cmd refs/heads
> >          lappend cmd refs/remotes
> > +        lappend cmd refs/tags
> >          set fr_fd [open "| $cmd" r]
> 
> I just didn't consider it.  The way I use git-gui for merges, I never
> merge tags.  But its obviously valid in plain Git.  I'll add it.

This is now pushed to repo.or.cz.  It probably won't show up in
git.git for at least a few weeks.  I want to push through some
more features (especially around the blame UI) in git-gui before
I bother Junio with another git-gui merge.  Besides, Git 1.5.0
(including git-gui 0.6.0.1) just shipped.  :)

It turned out to be slightly more difficult than just adding
refs/tags, as %(objectname) would be the name of the annotated tag,
and we need the commit name to match against rev-list output.  So I
had to extend the for-each-ref call to also include %(*objectname).

-- 
Shawn.